Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 24 Jun 2022 16:50:30 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns You have the worst return and refunds process in the UAE!

I have requested for a return on my order # 9574194272 since a week now but it has not been returned.
I am getting calls from a company called ASCENTIA SERVICES asking for my location and timings but no one comes to pick it up.
I cannot go back to the store to return as they said an online request has been done.
I am stuck with the item and cannot refund or exchange it, SOMEONE HAS TO SOLVE THIS MATTER ASAP! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4538403